classification
Title: "Cannot perform PGO build because llvm-profdata was not found in PATH" error upon make
Type: Stage: resolved
Components: Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: 26359 Superseder:
Assigned To: gregory.p.smith Nosy List: alecsandru.patrascu, brett.cannon, gregory.p.smith, python-dev
Priority: normal Keywords:

Created on 2016-09-06 23:01 by gregory.p.smith, last changed 2016-09-08 07:10 by gregory.p.smith. This issue is now closed.

Messages (4)
msg274657 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2016-09-06 23:01
patch in issue26307 (which should be in soon) and do the following:

$ CC=clang ../3.6/configure --with-optimizations
$ make profile-opt
Error: Cannot perform PGO build because llvm-profdata was not found in PATH
Please add it to PATH and run ./configure again
Makefile:481: recipe for target 'profile-opt' failed

We can make this experience better.  It needs to

(1) Become a configure time error, and
(2) Do a better job of finding llvm-profdata (which exists in ${PATH} as "llvm-profdata-3.8" on Ubuntu 16.04).
msg274660 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2016-09-06 23:09
i meant issue26359 above, not 26307.
msg274908 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-09-07 23:11
New changeset 279450d88fb0 by Gregory P. Smith in branch '3.5':
Fixes issue# 27983: Cause lack of llvm-profdata tool when using clang -
https://hg.python.org/cpython/rev/279450d88fb0

New changeset 9f2467e13c98 by Gregory P. Smith in branch 'default':
Fixes Issue #27983: Cause lack of llvm-profdata tool when using clang as
https://hg.python.org/cpython/rev/9f2467e13c98
msg274980 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-09-08 07:09
New changeset 3f04287e7bea by Gregory P. Smith in branch '2.7':
Fixes issue# 27983: Cause lack of llvm-profdata tool when using clang -
https://hg.python.org/cpython/rev/3f04287e7bea
History
Date User Action Args
2016-09-08 07:10:26gregory.p.smithsetstatus: open -> closed
resolution: fixed
stage: resolved
2016-09-08 07:09:09python-devsetmessages: + msg274980
2016-09-07 23:12:43gregory.p.smithsetassignee: gregory.p.smith
versions: - Python 3.6
2016-09-07 23:11:17python-devsetnosy: + python-dev
messages: + msg274908
2016-09-06 23:09:23gregory.p.smithsetmessages: + msg274660
2016-09-06 23:08:52gregory.p.smithsetdependencies: + CPython build options for out-of-the box performance
2016-09-06 23:01:40gregory.p.smithcreate